package com.bcxin.risk.common.dto;

public class ResultDto {

	private String statusCode;
	
	private String message;
	
	private String navTabId;
	
	private String callbackType;
	
	private String forwardUrl;
	
	public ResultDto(String message,String statusCode,String navTabId,String callbackType,String forwardUrl){
		this.message = message;
		this.statusCode = statusCode;
		this.navTabId = navTabId;
		this.callbackType = callbackType;
		this.forwardUrl = forwardUrl;
	}
	
	public ResultDto(String message,String statusCode){
		this.message = message;
		this.statusCode = statusCode;
	}
	
	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getNavTabId() {
		return navTabId;
	}

	public void setNavTabId(String navTabId) {
		this.navTabId = navTabId;
	}

	public String getCallbackType() {
		return callbackType;
	}

	public void setCallbackType(String callbackType) {
		this.callbackType = callbackType;
	}

	public String getForwardUrl() {
		return forwardUrl;
	}

	public void setForwardUrl(String forwardUrl) {
		this.forwardUrl = forwardUrl;
	}

	@Override
	public String toString() {
		return "ResultDto [statusCode=" + statusCode + ", message=" + message
				+ ", navTabId=" + navTabId + ", callbackType=" + callbackType
				+ ", forwardUrl=" + forwardUrl + "]";
	}
	

}
